##################################################################################
# Caso_1                                                                         #
#                                                                                #
# Calcular tamanho da amostra se a variável escolhida for intervalar             #
# e a população considerada infinita                                             #
##################################################################################
install.packages("readr")
library(readr)

source("functions.R")

dados <- read_csv("dados-caso_1.csv")

# Extrai os valores do DataFrame
nivel_confianca <- dados$nivel_confianca[1]
sigma <- dados$sigma[1]
erro <- dados$erro[1]

# Calcula o tamanho da amostra
tamanho_amostra <- calcular_tamanho_amostra_intervalar_infinita(nivel_confianca, sigma, erro)
print(paste("Tamanho da amostra:", tamanho_amostra))
