##################################################################################
# Caso_2                                                                         #
#                                                                                #
# Calcular tamanho da amostra se a variável escolhida for intervalar             #
# e a população considerada finita                                               #
##################################################################################
install.packages("readr")
library(readr)

source("functions.R")

dados <- read_csv("dados-caso_2.csv")

N <- dados$N[1]
nivel_confianca <- dados$nivel_confianca[1]
sigma <- dados$sigma[1]
erro <- dados$erro[1]

tamanho_amostra <- calcular_tamanho_amostra_intervalar_finita(N, nivel_confianca, sigma, erro)
print(paste("Tamanho da amostra:", tamanho_amostra))